---
title: 明晰夢を利用した現実の証明
tags: [note, word-play, lifehack]
---

## 概要
- 今の意識が現実であることを証明する手法を論理的に導く
- ただの言葉遊びなので哲学的な何かは期待しないでほしい

## 前提
- ここでは次の前提のもと議論を進める
	- 夢を見ていることを自覚している夢を見ている，ならばかつその時に限り，明晰夢を見ている
	- 明晰夢を見ている，ならば，全てが思い通りになる
	- 夢でないならば現実である
- 証明は次の定義の元で行う
	- 状況$A$: 夢を見ている
	- 状況$B$: 夢を見ていることを自覚している
	- 状況$C$: 明晰夢を見ている
	- 状況$D$: 全てが思い通りである
- 証明の最終的な目標は$X\implies \overline{A}$を導くことである

## 証明
1. 前提より
	- $P_1: A\cap B\iff C$
	- $P_2: C \implies D$
2. $P_1,P_2$より，三段論法を用いて
	- $P_3: A \cap B \implies D$
3. $P_3$の対偶より
	- $P_4: \overline{D}\implies \overline{A\cap B}$
4. $P_4$より，ド・モルガンの公式を用いて
	- $P_5: \overline{D}\implies \overline{A} \cup \overline{B}$
5. $B$は意図的に真にできるため，$P_5$より
	- $\overline{D}\cap B \implies \overline{A}$

## 結論
- 事前に夢を見ていることを自覚している，かつ，思い通りにならないことが存在する，ならば，それは現実である
- ただし，この手法では全ての現実を証明できるとは言えないことに留意されたい